ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ldns_struct_dnssec_name Struct Reference

## Data Fields
ldns_rdf * | name
| pointer to a dname containing the name. More...
signed char | name_alloced
| Usually, the name is a pointer to the owner name of the first rr for this name, but sometimes there is no actual data to point to, for instance in names representing empty nonterminals. More...
ldns_dnssec_rrsets * | rrsets
| The rrsets for this name. More...
ldns_rr * | nsec
| NSEC pointing to the next name (or NSEC3 pointing to the next NSEC3) More...
ldns_dnssec_rrs * | nsec_signatures
| signatures for the NSEC record More...
signed char | is_glue
| Unlike what the name is_glue suggests, this field is set to true by ldns_dnssec_zone_mark_glue() or ldns_dnssec_zone_mark_and_get_glue() when the name, this dnssec_name struct represents, is occluded. More...
ldns_rdf * | hashed_name
| pointer to store the hashed name (only used when in an NSEC3 zone More...

## Detailed Description

Definition at line 45 of file dnssec_zone.h.

## Field Documentation

ldns_rdf* ldns_struct_dnssec_name::name

pointer to a dname containing the name.

Usually points to the owner name of the first RR of the first RRset

Definition at line 51 of file dnssec_zone.h.

signed char ldns_struct_dnssec_name::name_alloced

Usually, the name is a pointer to the owner name of the first rr for this name, but sometimes there is no actual data to point to, for instance in names representing empty nonterminals.

If so, set alloced to true to indicate that this data must also be freed when the name is freed

Definition at line 59 of file dnssec_zone.h.

ldns_dnssec_rrsets* ldns_struct_dnssec_name::rrsets

The rrsets for this name.

Definition at line 63 of file dnssec_zone.h.

ldns_rr* ldns_struct_dnssec_name::nsec

NSEC pointing to the next name (or NSEC3 pointing to the next NSEC3)

Definition at line 67 of file dnssec_zone.h.

ldns_dnssec_rrs* ldns_struct_dnssec_name::nsec_signatures

signatures for the NSEC record

Definition at line 71 of file dnssec_zone.h.

signed char ldns_struct_dnssec_name::is_glue

Unlike what the name is_glue suggests, this field is set to true by ldns_dnssec_zone_mark_glue() or ldns_dnssec_zone_mark_and_get_glue() when the name, this dnssec_name struct represents, is occluded.

Names that contain other occluded rrsets and records with glue on the delegation point will NOT have this bool set to true. This field should NOT be read directly, but only via the ldns_dnssec_name_is_glue() function!

Definition at line 81 of file dnssec_zone.h.

ldns_rdf* ldns_struct_dnssec_name::hashed_name

pointer to store the hashed name (only used when in an NSEC3 zone

Definition at line 85 of file dnssec_zone.h.